---
title: Range.intersectsNode()
slug: Web/API/Range/intersectsNode
tags:
  - API
  - DOM
  - Experimental
  - Method
  - Range
  - Reference
---
<div>{{ApiRef("DOM")}} {{SeeCompatTable}}</div>

<p>The <strong><code>Range.intersectsNode()</code></strong> method returns a boolean indicating whether the given {{domxref("Node")}} intersects the {{domxref("Range")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>bool</em> = <em>range</em>.intersectsNode( <em>referenceNode</em> )
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>referenceNode</em></dt>
 <dd>The {{domxref("Node")}} to compare with the {{domxref("Range")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js">var range = document.createRange();

range.selectNode(document.getElementsByTagName("div").item(0));
var bool = range.intersectsNode(document.getElementsByTagName("p").item(0));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-intersectsnode', 'Range.intersectNode()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.intersectsNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
